- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Static Public Member Functions | List of all members
pdftron::PDF::BarcodeModule Class Reference

`#include <BarcodeModule.h>`

## Static Public Member Functions
static bool | IsModuleAvailable ()
static void | ExtractBarcodes (PDFDoc &src, const UString &output_file_path, const BarcodeOptions &options=BarcodeOptions())
static UString | ExtractBarcodesAsString (PDFDoc &src, const BarcodeOptions &options=BarcodeOptions())

## Detailed Description

The class BarcodeModule. static interface to Apryse SDK's barcode extraction functionality

Definition at line 24 of file BarcodeModule.h.

## Member Function Documentation

static void pdftron::PDF::BarcodeModule::ExtractBarcodes | ( | PDFDoc & | src,
|  | const UString & | output_file_path,
|  | const BarcodeOptions & | options = `BarcodeOptions()`
| ) |  |
| static

Perform barcode extraction on a PDF. Scan the PDF for barcodes, and save a JSON array of detected barcodes to the specified file. By default, this will search for all supported barcode types in all orientations. The time required to process the document will depend on the number of barcode types and orientations to search for. Thus, the default behavior is the slowest. To improve speed, specify a subset of barcode types and orientations to search for using the options parameter. Very small barcodes may not be detected. While there is no hard limit to barcode size, accuracy will begin to decrease as barcodes get smaller. The smallest barcode that can be detected will depend on a number of factors, including page size, barcode type, and (if applicable) image quality.

Parameters

  src | The source document.
  output_file_path | The path to the output file.
  options | Barcode options (optional).

static UString pdftron::PDF::BarcodeModule::ExtractBarcodesAsString | ( | PDFDoc & | src,
|  | const BarcodeOptions & | options = `BarcodeOptions()`
| ) |  |
| static

Perform barcode extraction on a PDF. Scan the PDF for barcodes, and return a JSON array of detected barcodes as a string. By default, this will search for all supported barcode types in all orientations. The time required to process the document will depend on the number of barcode types and orientations to search for. Thus, the default behavior is the slowest. To improve speed, specify a subset of barcode types and orientations to search for using the options parameter. Very small barcodes may not be detected. While there is no hard limit to barcode size, accuracy will begin to decrease as barcodes get smaller. The smallest barcode that can be detected will depend on a number of factors, including page size, barcode type, and (if applicable) image quality.

Parameters

  src | The source document.
  options | Barcode options (optional).

Returns
  JSON string representing barcode extraction results.

static bool pdftron::PDF::BarcodeModule::IsModuleAvailable | ( |  | ) |
| static

Find out whether the Barcode Extraction Module is available (and licensed).

Returns
  Returns true if barcode extraction can be performed.

The documentation for this class was generated from the following file:

- PDF/BarcodeModule.h